Skip to main content

SetTotemProperty

Sets a property on a totem.

Endpoint: POST /nxt?requestType=SetTotemProperty

Parameters:

  • totem (long, required): Totem ID
  • property (string, required): Property name. 1-32 characters
  • value (string, required): Property value. Max 160 characters
  • certificate (long, optional): Certificate ID
  • secretPhrase (string, required): Sender secret phrase
  • feeMTA (long, optional)
  • deadline (int, optional, default: 1440)
  • referencedTransactionFullHash (string, optional)
  • broadcast (boolean, optional, default: true)

Request Example: /nxt?requestType=SetTotemProperty&totem=123456789&property=Freeze&value=1000000&secretPhrase=mySecret

Response:

{
"type": 2,
"subtype": 2,
"chain": 1,
"phased": false,
"timestamp": 123456789,
"deadline": 123457789,
"senderPublicKey": "abc123...",
"sender": "111111111",
"recipient": "111111111",
"feeMTA": "1000000",
"amountMTA": "0",
"signature": "def456...",
"fullHash": "jkl012...",
"transaction": "1234567890",
"attachment": {
"version.TotemProperty": 1,
"totem": "123456789",
"property": "Freeze",
"value": "1000000",
"certificate": "987654321"
}
}

Response Fields:

  • type: number (2), subtype: number (2) - TOTEM_PROPERTY_SET
  • recipient equals sender
  • attachment: TotemPropertyAttachment
  • attachment.property: string
  • attachment.value: string
  • attachment.certificate: string (if provided)

Validation:

  • property: 1-32 chars
  • value: 0-160 chars

Errors: INCORRECT_TOTEM_PROPERTY_NAME_LENGTH, INCORRECT_TOTEM_PROPERTY_VALUE_LENGTH, UNKNOWN_CERTIFICATE

Tags: AE, CREATE_TRANSACTION